Tipos de controladores de PHP

Plesk ofrece soporte integral para el lenguaje de scripting de PHP en múltiples versiones, así como para diversos tipos de controladores. En este tema se enumeran los distintos tipos de controladores de PHP que pueden utilizarse en Plesk.

Tipo de controlador Rendimiento Uso de memoria Detalles del controlador

Módulo Apache

Elevado

Bajo

Este controlador sólo está disponible en Plesk para Linux. Es la opción menos segura, ya que todos los scripts de PHP se ejecutan en nombre del usuario apache. Esto significa que todos los archivos creados por los scripts de PHP de cualquier suscriptor del plan tendrán el mismo propietario (apache) y el mismo grupo de permisos. Por tanto, podría darse el caso de que un usuario manipulara los archivos de otro o ciertos archivos importantes del sistema. puede evitar algunas incidencias de seguridad activando la opción safe_mode de PHP. Esta opción desactiva varias funciones de PHP que suponen un riesgo de seguridad potencial. Esto podría provocar que algunas aplicaciones web dejaran de estar operativas. La opción safe_mode se considera obsoleta y está en desuso desde PHP 5.4.

Extensión ISAPI

Elevado

Bajo

Este controlador sólo está disponible en Plesk para Windows. La extensión ISAPI puede proporcionar aislamiento del sitio en el caso de que se habilite un grupo de aplicaciones IIS dedicado para las suscripciones. Este aislamiento significa que los sitios de los distintos clientes ejecutan sus scripts por separado. Así, si se produce algún error en un script de PHP, este no afectará al funcionamiento de los demás scripts. Además, los scripts de PHP se ejecutan en nombre de un usuario de sistema asociado con una cuenta de hosting.A partir de la versión 5.3 de PHP no existe soporte para el controlador de la extensión ISAPI.

Aplicación CGI

Bajo

Bajo

El controlador CGI proporciona ejecución de scripts de PHP en nombre de un usuario de sistema asociado con una cuenta de hosting. En Linux, este comportamiento sólo es posible si el módulo suEXEC del servidor web Apache está activado (opción predeterminada). En los demás casos, todos los scripts PHP se ejecutan en nombre del usuario apache. Por omisión, el controlador CGI no está disponible para los clientes de Plesk.

Aplicación FastCGI

Elevado

Elevado

El controlador FastCGI ejecuta los scripts de PHP en nombre de un usuario de sistema asociado con una cuenta de hosting.

Aplicación PHP-FPM

Elevado

Bajo

Este controlador sólo está disponible en Plesk para Linux. PHP-FPM es una versión avanzada de FastCGI que ofrece muchos beneficios en el caso de utilizar aplicaciones web con una carga elevada.

 

Leave your feedback on this topic here

If you have questions or need support, please visit the Plesk forum or contact your hosting provider.
The comments below are for feedback on the documentation only. No timely answers or help will be provided.